group "CommodityOptionFeatures.model"

Namespace: | http://www.fpml.org/FpML-5/transparency
Content: | 5 elements
Defined: | globally in fpml-com-5-5.xsd; see XML source
Includes: | definitions of 2 elements
Used: | at 1 location

Content Model Diagram

Complex Content Model
effectiveDate, terminationDate?, (calculationPeriodsSchedule?, pricingDates?, averagingMethod?)?

Content Model Elements (5):

  averagingMethod (in commodityOption), calculationPeriodsSchedule (in commodityOption), effectiveDate (in commodityOption), | pricingDates (in commodityOption), terminationDate (in commodityOption)

Known Usage Locations

- In definitions of other model groups (1):
  CommodityFinancialOption.model

Annotation
Describes additional features within the option.
XML Source (w/o annotations (3); see within schema source)

<xsd:group name="CommodityOptionFeatures.model"> <xsd:sequence> <!--Made the effective date optional to be used with other commodity features like floating strike price--> <xsd:element name="effectiveDate" type="AdjustableOrRelativeDate"/> <xsd:element minOccurs="0" name="terminationDate" type="AdjustableOrRelativeDate"/> <xsd:group minOccurs="0" ref="CommodityAsian.model"/> </xsd:sequence> </xsd:group>

Content Element Detail (all declarations; defined within this component only; 2/5)
effectiveDate

  Type: | AdjustableOrRelativeDate, complex content

  The effective date of the Commodity Option Transaction. Note that the Termination/Expiration Date should be specified in expirationDate within the CommodityAmericanExercise type or the CommodityEuropeanExercise type, as applicable.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="effectiveDate" type="AdjustableOrRelativeDate"/>

terminationDate

  Type: | AdjustableOrRelativeDate, complex content

  Specifies the termination date of the Commodity Option Transaction. In some confirmations this will be indicated as the second date in "Option Term" or "Term". Note: If provided, terminationDate should not be before specified expirationDate within the CommodityAmericanExercise type or the CommodityEuropeanExercise type.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="terminationDate" type="AdjustableOrRelativeDate"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.